### Enumeration

# WebKitWebExtension ConsoleMessageSource

deprecated: 2.40 since: 2.12

#### Declaration

    enum WebKitWebExtension.ConsoleMessageSource

#### Description [src]

Enum values used to denote the various sources of console messages.

Available since: 2.12

Deprecated since: 2.40

Please do not use it in newly written code.

#### Members

Name | Description
--- | ---
`WEBKIT_CONSOLE_MESSAGE_SOURCE_JAVASCRIPT` | Message produced by JavaScript.
`WEBKIT_CONSOLE_MESSAGE_SOURCE_NETWORK` | Network messages.
`WEBKIT_CONSOLE_MESSAGE_SOURCE_CONSOLE_API` | Messages produced by console API.
`WEBKIT_CONSOLE_MESSAGE_SOURCE_SECURITY` | Security messages.
`WEBKIT_CONSOLE_MESSAGE_SOURCE_OTHER` | Other messages.